--AH:ScriptId=0754a21b-4634-4c1b-9f7d-0afd8dd08ad0;336
INSERT INTO [ApplicationGroups]
(
	[ApplicationGroup_Name]
)
SELECT DISTINCT
	[ApplicationGroup_Name]
FROM [Applications]
WHERE [ApplicationGroup_Name] IS NOT NULL

UPDATE [ApplicationGroups]
SET
	[CreatedBy_User_Name] = A.[CreatedBy_User_Name],
	[CreatedOn_Date] = A.[CreatedOn_Date],
	[ModifiedBy_User_Name] = A.[ModifiedBy_User_Name],
	[ModifiedOn_Date] = A.[ModifiedOn_Date]
FROM [ApplicationGroups] AG
	 INNER JOIN [Applications] A
	         ON A.[ApplicationGroup_Name] = AG.[ApplicationGroup_Name]

ALTER TABLE [Applications]
ADD [ApplicationGroup_Id] INT NULL

GO

UPDATE [Applications]
SET [ApplicationGroup_Id] = AG.[ApplicationGroup_Id]
FROM [ApplicationGroups] AG
WHERE AG.[ApplicationGroup_Name] = [Applications].[ApplicationGroup_Name]

ALTER TABLE [Applications]
DROP COLUMN [ApplicationGroup_Name]

ALTER TABLE [Applications]
ADD CONSTRAINT [FK__Applications__ApplicationGroups]
FOREIGN KEY ([ApplicationGroup_Id])
REFERENCES [ApplicationGroups] ([ApplicationGroup_Id])