EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetPlan',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Plans_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns the specified OtterScript plan.'
GO


IF OBJECT_ID('[Plans_GetPlan]') IS NOT NULL DROP PROCEDURE [Plans_GetPlan]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetPlan]
(
	@Plan_Id INT
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [Plans_Extended]
     WHERE [Plan_Id] = @Plan_Id

END
GO

GRANT EXECUTE ON [Plans_GetPlan] TO [BuildMasterUser_Role]