﻿IF OBJECT_ID('[Webhooks_DeleteWebhook]') IS NOT NULL DROP PROCEDURE [Webhooks_DeleteWebhook]
GO

SET QUOTED_IDENTIFIER ON
GO

EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Webhooks_DeleteWebhook',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a webhook.'
GO

CREATE PROCEDURE [Webhooks_DeleteWebhook]
(
	@Webhook_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [Webhooks]
	 WHERE [Webhook_Id] = @Webhook_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Webhooks_DeleteWebhook] TO [BuildMasterUser_Role]
