--AH:ScriptId=83386453-8525-41f7-9e5c-08518a3a7955;626
DECLARE @Dashboard_Id INT

    SELECT @Dashboard_Id = [Dashboard_Id] 
      FROM [Dashboards] 
     WHERE [Application_Id] IS NULL
       AND [User_Name] IS NULL
       AND [DashboardScope_Code] = 'A'

    DELETE [DashboardGadgets] WHERE [Dashboard_Id] = @Dashboard_Id

  INSERT [DashboardGadgets] ([Dashboard_Id], [Dashboard_Zone], [Display_Sequence], [DashboardGadget_Name], [DashboardGadget_Description], [DashboardGadget_Configuration], [CreatedBy_User_Name], [CreatedOn_Date], [ModifiedBy_User_Name], [ModifiedOn_Date])
  SELECT @Dashboard_Id, 1, 1, 'Latest Builds Per Environment', 'Displays a timeline of the current builds in each environment.', '<Inedo.BuildMaster.Web.WebApplication.Gadgets.CurrentBuildsPerEnvironment Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Web.WebApplication.Gadgets.CurrentBuildsPerEnvironment>', 'SYSTEM', GETUTCDATE(), 'SYSTEM', GETUTCDATE()
    UNION ALL
  SELECT @Dashboard_Id, 2, 1, 'Executions In Progress', 'Lists all currently executions for an application', '<Inedo.BuildMaster.Extensibility.Gadgets.Application.ExecutionsInProgressGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Application.ExecutionsInProgressGadget>', 'SYSTEM', GETUTCDATE(), 'SYSTEM', GETUTCDATE()
    UNION ALL
  SELECT @Dashboard_Id, 3, 1, 'Recent Activity', 'Lists the latest BuildMaster audit log events.', '<Inedo.BuildMaster.Extensibility.Gadgets.Application.RecentActivityGadget Assembly="BuildMaster.Web.WebApplication"><Properties EventsCount="5" /></Inedo.BuildMaster.Extensibility.Gadgets.Application.RecentActivityGadget>', 'SYSTEM', GETUTCDATE(), 'SYSTEM', GETUTCDATE()
    UNION ALL
  SELECT @Dashboard_Id, 4, 1, 'Latest Builds', 'Displays the latest specified number of builds for a release.', '<Inedo.BuildMaster.Extensibility.Gadgets.Release.LatestBuildsGadget Assembly="BuildMaster.Web.WebApplication"><Properties BuildsCount="0" BuildStatus="Active" /></Inedo.BuildMaster.Extensibility.Gadgets.Release.LatestBuildsGadget>', 'SYSTEM', GETUTCDATE(), 'SYSTEM', GETUTCDATE()

