IF OBJECT_ID('[ChangeControlEnvironments_Extended]') IS NOT NULL DROP VIEW [ChangeControlEnvironments_Extended]
GO

CREATE VIEW [ChangeControlEnvironments_Extended] AS

	SELECT CCE.[ChangeControl_Id],
	       CCE.[Environment_Id],
	       CC.[ChangeControl_Name],
	       E.[Environment_Name]
	  FROM [ChangeControlEnvironments] CCE
INNER JOIN [Environments] E
	    ON E.[Environment_Id] = CCE.[Environment_Id]
INNER JOIN [ChangeControls] CC
        ON CC.[ChangeControl_Id] = CCE.[ChangeControl_Id]

GO