EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildMaster_GetUsageInfo',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'BuildMaster_UsageInfo',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets miscellaneous usage data from the system.'
GO


IF OBJECT_ID('[BuildMaster_GetUsageInfo]') IS NOT NULL DROP PROCEDURE [BuildMaster_GetUsageInfo]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildMaster_GetUsageInfo]
AS
BEGIN

	SET NOCOUNT ON

    SELECT * FROM [BuildMaster_UsageInfo]

END
GO

GRANT EXECUTE ON [BuildMaster_GetUsageInfo] TO [BuildMasterUser_Role]