EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_GetReleaseSlim',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Releases_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of a specified release.'
GO


IF OBJECT_ID('[Releases_GetReleaseSlim]') IS NOT NULL DROP PROCEDURE [Releases_GetReleaseSlim]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_GetReleaseSlim]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Releases_Slim]
     WHERE [Application_Id] = @Application_Id
	   AND [Release_Number] = @Release_Number

END
GO

GRANT EXECUTE ON [Releases_GetReleaseSlim] TO [BuildMasterUser_Role]
