EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetVariables',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Variables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all variables.'
GO

IF OBJECT_ID('[Variables_GetVariables]') IS NOT NULL DROP PROCEDURE [Variables_GetVariables]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetVariables]
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Variables]

END
GO

GRANT EXECUTE ON [Variables_GetVariables] TO [BuildMasterUser_Role]